Subject: Re: bug#63067: 30.0.50; configure prints error with CONFIG_SHELL=/bin/sh

From: Po Lu <[email-masked]>
Date: Thu, 27 Apr 2023 18:54:43 +0800

Paul Eggert <[email-masked]> writes:

> My suggestion is to not worry about /bin/sh there. I.e., just run:
>
>   ./configure CC="/opt/SUNwspro/bin/cc -m64"
>
> and let 'configure' re-exec itself with a better shell. Or, if you'd
> rather pick the shell yourself, choose /bin/bash or /bin/ksh or
> /usr/xpg4/bin/sh instead of /bin/sh. The idea is to not bother testing
> with Solaris 10 /bin/sh as there's not much point nowadays to forcing
> execution of that ancient non-POSIX shell when configuring Emacs.

OK, but I still find it nicer for configure to work with any shell
supported by Autoconf.  So please don't object if I continue to fix
problems in configure as they appear.

Since this will be fixed the next time Gnulib is merged, I'm closing
this bug.